# refinerycalc-api
Integrate the powerful Refinery Calc Engine into your process using this API.

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import refinerycalc 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import refinerycalc
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import refinerycalc
from refinerycalc.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = refinerycalc.CrudesApi(refinerycalc.ApiClient(configuration))

try:
    # Get all crudes
    api_response = api_instance.v1_crudes_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling CrudesApi->v1_crudes_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to */*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CrudesApi* | [**v1_crudes_get**](docs/CrudesApi.md#v1_crudes_get) | **GET** /v1/crudes | Get all crudes
*EndPointsApi* | [**v1_endpoints_get**](docs/EndPointsApi.md#v1_endpoints_get) | **GET** /v1/endpoints | Returns end point list
*EndPointsApi* | [**v1_endpoints_id_get**](docs/EndPointsApi.md#v1_endpoints_id_get) | **GET** /v1/endpoints/{id} | Get end point by id
*ProductPricesApi* | [**v1_product_prices_get**](docs/ProductPricesApi.md#v1_product_prices_get) | **GET** /v1/product/prices | Returns product price list
*ProductPricesApi* | [**v1_product_prices_id_get**](docs/ProductPricesApi.md#v1_product_prices_id_get) | **GET** /v1/product/prices/{id} | Get product price by id
*ProductPricesApi* | [**v1_product_prices_region_id_get**](docs/ProductPricesApi.md#v1_product_prices_region_id_get) | **GET** /v1/product/prices/region/{id} | Get product price by region id
*ProductPricesApi* | [**v1_product_prices_region_region_name_get**](docs/ProductPricesApi.md#v1_product_prices_region_region_name_get) | **GET** /v1/product/prices/region/{regionName} | Get product price by region
*RateApi* | [**v1_rate_get**](docs/RateApi.md#v1_rate_get) | **GET** /v1/rate | Get Api Rate Limit
*RefineriesApi* | [**v1_refineries_aggregates_get**](docs/RefineriesApi.md#v1_refineries_aggregates_get) | **GET** /v1/refineries/aggregates | Get Aggregated Refineries by datasource. user can also filter refineries by providing it&#x27;s name, region and country.
*RefineriesApi* | [**v1_refineries_get**](docs/RefineriesApi.md#v1_refineries_get) | **GET** /v1/refineries | Get all Refineries by datasource, user can also filter refineries by providing it&#x27;s name, region and country.
*RefineriesApi* | [**v1_refineries_id_crudes_get**](docs/RefineriesApi.md#v1_refineries_id_crudes_get) | **GET** /v1/refineries/{id}/crudes | Get list of crudes for a particular refinery.
*RefineriesApi* | [**v1_refineries_id_get**](docs/RefineriesApi.md#v1_refineries_id_get) | **GET** /v1/refineries/{id} | Get Refinery by Id.
*RefineriesApi* | [**v1_refineries_id_units_get**](docs/RefineriesApi.md#v1_refineries_id_units_get) | **GET** /v1/refineries/{id}/units | Get all units of refinery id.
*RefineriesApi* | [**v1_refineries_individual_get**](docs/RefineriesApi.md#v1_refineries_individual_get) | **GET** /v1/refineries/individual | Get Individual Refineries by datasource. user can also filter refineries by providing it&#x27;s name, region and country.
*RegionsApi* | [**v1_regions_get**](docs/RegionsApi.md#v1_regions_get) | **GET** /v1/regions | Get all regions
*SimulationsApi* | [**v1_simulations_get**](docs/SimulationsApi.md#v1_simulations_get) | **GET** /v1/simulations | Returns simulation list
*SimulationsApi* | [**v1_simulations_id_delete**](docs/SimulationsApi.md#v1_simulations_id_delete) | **DELETE** /v1/simulations/{id} | Delete a simulation
*SimulationsApi* | [**v1_simulations_id_get**](docs/SimulationsApi.md#v1_simulations_id_get) | **GET** /v1/simulations/{id} | Returns simulations refineries details
*SimulationsApi* | [**v1_simulations_id_output_get**](docs/SimulationsApi.md#v1_simulations_id_output_get) | **GET** /v1/simulations/{id}/output | Retrieves a OutputModel for the given input simuation Id.
*SimulationsApi* | [**v1_simulations_id_refineries_advanced_options_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_advanced_options_patch) | **PATCH** /v1/simulations/{id}/refineries/advanced/options | Updates the advanced options for the given refineries
*SimulationsApi* | [**v1_simulations_id_refineries_crude_allocation_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_crude_allocation_patch) | **PATCH** /v1/simulations/{id}/refineries/crude/allocation | Update Crude Allocation Value for One or More Refineries
*SimulationsApi* | [**v1_simulations_id_refineries_crude_allocations_default_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_crude_allocations_default_patch) | **PATCH** /v1/simulations/{id}/refineries/crude/allocations/default | Refinery set default value for crude compositions
*SimulationsApi* | [**v1_simulations_id_refineries_crude_prices_default_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_crude_prices_default_patch) | **PATCH** /v1/simulations/{id}/refineries/crude/prices/default | Refinery set default value for crude price
*SimulationsApi* | [**v1_simulations_id_refineries_crude_prices_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_crude_prices_patch) | **PATCH** /v1/simulations/{id}/refineries/crude/prices | Update Crude Prices for One or More Refineries
*SimulationsApi* | [**v1_simulations_id_refineries_crudes_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_crudes_patch) | **PATCH** /v1/simulations/{id}/refineries/crudes | Update Crudes for One or More Refineries
*SimulationsApi* | [**v1_simulations_id_refineries_endpoint_mode_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_endpoint_mode_patch) | **PATCH** /v1/simulations/{id}/refineries/endpoint/mode | Returns Success or failed
*SimulationsApi* | [**v1_simulations_id_refineries_endpoints_default_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_endpoints_default_patch) | **PATCH** /v1/simulations/{id}/refineries/endpoints/default | Refinery set default value for end points
*SimulationsApi* | [**v1_simulations_id_refineries_get**](docs/SimulationsApi.md#v1_simulations_id_refineries_get) | **GET** /v1/simulations/{id}/refineries | Retrieves a list of refineries for the given simulation.
*SimulationsApi* | [**v1_simulations_id_refineries_intermediate_products_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_intermediate_products_patch) | **PATCH** /v1/simulations/{id}/refineries/intermediate/products | 
*SimulationsApi* | [**v1_simulations_id_refineries_post**](docs/SimulationsApi.md#v1_simulations_id_refineries_post) | **POST** /v1/simulations/{id}/refineries | Adds a list of refineries to an existing simulation.
*SimulationsApi* | [**v1_simulations_id_refineries_product_prices_default_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_product_prices_default_patch) | **PATCH** /v1/simulations/{id}/refineries/product/prices/default | Refinery set default value for product prices
*SimulationsApi* | [**v1_simulations_id_refineries_product_prices_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_product_prices_patch) | **PATCH** /v1/simulations/{id}/refineries/product/prices | Simulation&#x27;s refineries set product price
*SimulationsApi* | [**v1_simulations_id_refineries_refinery_id_crude_get**](docs/SimulationsApi.md#v1_simulations_id_refineries_refinery_id_crude_get) | **GET** /v1/simulations/{id}/refineries/{refineryId}/crude | 
*SimulationsApi* | [**v1_simulations_id_refineries_refinery_id_delete**](docs/SimulationsApi.md#v1_simulations_id_refineries_refinery_id_delete) | **DELETE** /v1/simulations/{id}/refineries/{refineryId} | Remove Refinery from an existing simulation.
*SimulationsApi* | [**v1_simulations_id_refineries_refinery_id_endpoints_get**](docs/SimulationsApi.md#v1_simulations_id_refineries_refinery_id_endpoints_get) | **GET** /v1/simulations/{id}/refineries/{refineryId}/endpoints | Retrieves a list of Endpoints for the given input simuation Id and Refinery Id.
*SimulationsApi* | [**v1_simulations_id_refineries_refinery_id_product_prices_get**](docs/SimulationsApi.md#v1_simulations_id_refineries_refinery_id_product_prices_get) | **GET** /v1/simulations/{id}/refineries/{refineryId}/product/prices | Get product prices for a given simulation
*SimulationsApi* | [**v1_simulations_id_refineries_refinery_id_units_get**](docs/SimulationsApi.md#v1_simulations_id_refineries_refinery_id_units_get) | **GET** /v1/simulations/{id}/refineries/{refineryId}/units | Retrieves Units for a given Simulation and Refinery
*SimulationsApi* | [**v1_simulations_id_refineries_units_bias_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_units_bias_patch) | **PATCH** /v1/simulations/{id}/refineries/units/bias | Update simulation refinery unit bios
*SimulationsApi* | [**v1_simulations_id_refineries_units_default_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_units_default_patch) | **PATCH** /v1/simulations/{id}/refineries/units/default | Refinery set default value for units
*SimulationsApi* | [**v1_simulations_id_refineries_units_health_state_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_units_health_state_patch) | **PATCH** /v1/simulations/{id}/refineries/units/health/state | Update the health state of the specified units for the specified refineries in the given simulation
*SimulationsApi* | [**v1_simulations_id_refineries_units_mode_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_units_mode_patch) | **PATCH** /v1/simulations/{id}/refineries/units/mode | Update simulation refinery unit mode
*SimulationsApi* | [**v1_simulations_id_refineries_units_rate_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_units_rate_patch) | **PATCH** /v1/simulations/{id}/refineries/units/rate | Update simulation refinery unit rate
*SimulationsApi* | [**v1_simulations_id_refineries_units_toggle_shutdown_status_patch**](docs/SimulationsApi.md#v1_simulations_id_refineries_units_toggle_shutdown_status_patch) | **PATCH** /v1/simulations/{id}/refineries/units/toggle/shutdown/status | Update simulation refinery toggle unit status
*SimulationsApi* | [**v1_simulations_id_refinery_change_endpoint_post**](docs/SimulationsApi.md#v1_simulations_id_refinery_change_endpoint_post) | **POST** /v1/simulations/{id}/refinery/change/endpoint | Returns Success or failed
*SimulationsApi* | [**v1_simulations_id_rename_patch**](docs/SimulationsApi.md#v1_simulations_id_rename_patch) | **PATCH** /v1/simulations/{id}/rename | Rename an existing simulation
*SimulationsApi* | [**v1_simulations_id_run_post**](docs/SimulationsApi.md#v1_simulations_id_run_post) | **POST** /v1/simulations/{id}/run | Run a simulation by Id
*SimulationsApi* | [**v1_simulations_id_run_status_get**](docs/SimulationsApi.md#v1_simulations_id_run_status_get) | **GET** /v1/simulations/{id}/run/status | Get simulation run status
*SimulationsApi* | [**v1_simulations_id_schedule_delete**](docs/SimulationsApi.md#v1_simulations_id_schedule_delete) | **DELETE** /v1/simulations/{id}/schedule | Delete a simulation schedule.
*SimulationsApi* | [**v1_simulations_id_schedule_post**](docs/SimulationsApi.md#v1_simulations_id_schedule_post) | **POST** /v1/simulations/{id}/schedule | Schedule a simulation to run
*SimulationsApi* | [**v1_simulations_post**](docs/SimulationsApi.md#v1_simulations_post) | **POST** /v1/simulations | Create a new simulation from a given list of refineries
*SimulationsApi* | [**v1_simulations_schedules_get**](docs/SimulationsApi.md#v1_simulations_schedules_get) | **GET** /v1/simulations/schedules | Retrieves list of the scheduled simulations.
*SimulationsApi* | [**v1_simulations_simulation_id_refineries_kero_mode_patch**](docs/SimulationsApi.md#v1_simulations_simulation_id_refineries_kero_mode_patch) | **PATCH** /v1/simulations/{simulation_id}/refineries/kero/mode | Update refinery kero mode
*WeatherForecastApi* | [**get_weather_forecast**](docs/WeatherForecastApi.md#get_weather_forecast) | **GET** /weatherforecast | 

## Documentation For Models

 - [AddRefineriesToSimulationRequest](docs/AddRefineriesToSimulationRequest.md)
 - [AdvancedOptionRequest](docs/AdvancedOptionRequest.md)
 - [AdvancedOptionType](docs/AdvancedOptionType.md)
 - [AdvancedOptionsBatchRefinery](docs/AdvancedOptionsBatchRefinery.md)
 - [AdvancedOptionsBatchRequest](docs/AdvancedOptionsBatchRequest.md)
 - [ApiResponse](docs/ApiResponse.md)
 - [CalculatorCrudePriceModeOutputModel](docs/CalculatorCrudePriceModeOutputModel.md)
 - [CalculatorModel](docs/CalculatorModel.md)
 - [CalculatorRefineryCrudeReference](docs/CalculatorRefineryCrudeReference.md)
 - [CalculatorRefineryModel](docs/CalculatorRefineryModel.md)
 - [CalculatorRefineryOutputModel](docs/CalculatorRefineryOutputModel.md)
 - [ChangeEndPointModeRequest](docs/ChangeEndPointModeRequest.md)
 - [ChangeEndPointRequest](docs/ChangeEndPointRequest.md)
 - [CreateSimulationRequest](docs/CreateSimulationRequest.md)
 - [CreateSimulationResponse](docs/CreateSimulationResponse.md)
 - [CrudeAllocation](docs/CrudeAllocation.md)
 - [CrudeAllocationValue](docs/CrudeAllocationValue.md)
 - [CrudeEvaluationMode](docs/CrudeEvaluationMode.md)
 - [CrudeItem](docs/CrudeItem.md)
 - [CrudeMode](docs/CrudeMode.md)
 - [CrudeModel](docs/CrudeModel.md)
 - [CrudePrice](docs/CrudePrice.md)
 - [CrudePriceModeCrude](docs/CrudePriceModeCrude.md)
 - [CrudeType](docs/CrudeType.md)
 - [DataSource](docs/DataSource.md)
 - [EndPointMode](docs/EndPointMode.md)
 - [EndPointModel](docs/EndPointModel.md)
 - [EndPointResponse](docs/EndPointResponse.md)
 - [FilterOperator](docs/FilterOperator.md)
 - [GetCalculatorRefineryCrudesResponse](docs/GetCalculatorRefineryCrudesResponse.md)
 - [GetRefineriesForSimulationResponse](docs/GetRefineriesForSimulationResponse.md)
 - [Graph](docs/Graph.md)
 - [GraphModel](docs/GraphModel.md)
 - [HealthState](docs/HealthState.md)
 - [HealthStateBatchRequest](docs/HealthStateBatchRequest.md)
 - [HealthStateBatchUnits](docs/HealthStateBatchUnits.md)
 - [IScheduledJob](docs/IScheduledJob.md)
 - [IntermediateProduct](docs/IntermediateProduct.md)
 - [KeroOptimizationMode](docs/KeroOptimizationMode.md)
 - [OutputDetails](docs/OutputDetails.md)
 - [OutputType](docs/OutputType.md)
 - [OutputTypeModel](docs/OutputTypeModel.md)
 - [OutputTypes](docs/OutputTypes.md)
 - [ProblemDetails](docs/ProblemDetails.md)
 - [ProductPriceModel](docs/ProductPriceModel.md)
 - [ProductPriceUomType](docs/ProductPriceUomType.md)
 - [RateLimitModel](docs/RateLimitModel.md)
 - [RefineryChangeIntermediateProductsRequestModel](docs/RefineryChangeIntermediateProductsRequestModel.md)
 - [RefineryChangeKeroMode](docs/RefineryChangeKeroMode.md)
 - [RefineryChangeKeroModeRequestModel](docs/RefineryChangeKeroModeRequestModel.md)
 - [RefineryChangeUnit](docs/RefineryChangeUnit.md)
 - [RefineryChangeUnitMode](docs/RefineryChangeUnitMode.md)
 - [RefineryChangeUnitModeRequestModel](docs/RefineryChangeUnitModeRequestModel.md)
 - [RefineryChangeUnitRequestModel](docs/RefineryChangeUnitRequestModel.md)
 - [RefineryCrudeAllocation](docs/RefineryCrudeAllocation.md)
 - [RefineryCrudeItem](docs/RefineryCrudeItem.md)
 - [RefineryCrudeModel](docs/RefineryCrudeModel.md)
 - [RefineryCrudePrice](docs/RefineryCrudePrice.md)
 - [RefineryEndPoint](docs/RefineryEndPoint.md)
 - [RefineryEndPointItem](docs/RefineryEndPointItem.md)
 - [RefineryIntermediateProductItem](docs/RefineryIntermediateProductItem.md)
 - [RefineryModel](docs/RefineryModel.md)
 - [RefineryOutputTypeModel](docs/RefineryOutputTypeModel.md)
 - [RefineryProductPrice](docs/RefineryProductPrice.md)
 - [RefineryProductPriceItem](docs/RefineryProductPriceItem.md)
 - [RefineryReference](docs/RefineryReference.md)
 - [RefineryResponse](docs/RefineryResponse.md)
 - [RefineryToggleUnit](docs/RefineryToggleUnit.md)
 - [RefineryToggleUnitStatusRequestModel](docs/RefineryToggleUnitStatusRequestModel.md)
 - [RefineryUnitItem](docs/RefineryUnitItem.md)
 - [RefineryUnitModel](docs/RefineryUnitModel.md)
 - [RefineryUnitReference](docs/RefineryUnitReference.md)
 - [RefineryUnitResponse](docs/RefineryUnitResponse.md)
 - [RefineryUseDefaultRequestModel](docs/RefineryUseDefaultRequestModel.md)
 - [RunMode](docs/RunMode.md)
 - [RunSimulationRequestModel](docs/RunSimulationRequestModel.md)
 - [RunSimulationResponseModel](docs/RunSimulationResponseModel.md)
 - [SaveRefineryProductPriceRequestModel](docs/SaveRefineryProductPriceRequestModel.md)
 - [ScheduleJobResponse](docs/ScheduleJobResponse.md)
 - [ScheduleSimulationRequestModel](docs/ScheduleSimulationRequestModel.md)
 - [SimulationJobOptions](docs/SimulationJobOptions.md)
 - [SimulationRenameRequestModel](docs/SimulationRenameRequestModel.md)
 - [SimulationResponse](docs/SimulationResponse.md)
 - [SimulationScheduleModel](docs/SimulationScheduleModel.md)
 - [SimulationScheduleResponseModel](docs/SimulationScheduleResponseModel.md)
 - [SimulationScheduleRunModel](docs/SimulationScheduleRunModel.md)
 - [SolverOutputType](docs/SolverOutputType.md)
 - [TimeSeriesDay](docs/TimeSeriesDay.md)
 - [TimeSpan](docs/TimeSpan.md)
 - [TimeseriesAdvancedOptions](docs/TimeseriesAdvancedOptions.md)
 - [TimeseriesCrudeReference](docs/TimeseriesCrudeReference.md)
 - [TimeseriesCrudeUnitUtilization](docs/TimeseriesCrudeUnitUtilization.md)
 - [TimeseriesCrudes](docs/TimeseriesCrudes.md)
 - [TimeseriesProductPrices](docs/TimeseriesProductPrices.md)
 - [ToggleItems](docs/ToggleItems.md)
 - [UnitChangeMode](docs/UnitChangeMode.md)
 - [UnitHealthStateRequest](docs/UnitHealthStateRequest.md)
 - [UnitModel](docs/UnitModel.md)
 - [UnitToggleShutdownStatusResponseModel](docs/UnitToggleShutdownStatusResponseModel.md)
 - [UpdateSimRefineryCrudeAllocationRequest](docs/UpdateSimRefineryCrudeAllocationRequest.md)
 - [UpdateSimRefineryCrudePricesRequest](docs/UpdateSimRefineryCrudePricesRequest.md)
 - [UpdateSimulationRefineryCrudeRequest](docs/UpdateSimulationRefineryCrudeRequest.md)
 - [UserPrices](docs/UserPrices.md)
 - [WeatherForecast](docs/WeatherForecast.md)

## Documentation For Authorization


## Bearer

- **Type**: API key
- **API key parameter name**: x-api-key
- **Location**: HTTP header


## Author

support@refinerycalc.com.com
